<?php

// 共通インクルードファイル
require_once('common.php');

$log = new Logger(__FILE__);

$log->info("処理開始");

// パラメータを解析して、チェックを行う
$DataValidate = null;
if ($_SERVER['REQUEST_METHOD'] == 'POST' ) {
    $log->debug("POST Request");
    $DataValidate = new VTWDataValidate($_POST);
} else {
    $log->debug("GET Request");
    $DataValidate = new VTWDataValidate($_GET);
}

// クライアントから送信されてきたキーと、VTWから送信されてきたキーが一致するかをチェック
$result = $DataValidate->resultCrossCheck();

header("Content-Type: text/html;charset=<?= VTW_HTML_ENCODE ?>");
// チェック結果を表示
if ($result) {
    $log->info("チェックOK");
} else {
    $log->info("チェックNG");
}

include_once('finish_return.php');
?>