<?php include("../include_session_check.php"); ?>
<?php
// ConfirmActionからの遷移＝$formがセットされている
if (!isset($form)) {
    // EmFormを生成
    $form = new EmForm();

    // セッションにパラメータが登録されている
    if (isset($_SESSION['EmForm'])) {
        $log_entry->debug("他画面からの遷移：Formをセッションから取得");
        $form->setRequestArray($_SESSION['EmForm']);
    } else {
        $log_entry->debug("新規遷移");
    }
}
?>
<?php include("../include_retrieve_info.php"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <title>Entry</title>
        <?php include("../include_head.php"); ?>
    </head>
    <body>
        <div class="contents">
            <h1>【ECサイト  入力画面】</h1>
            <?php include("../include_error_desc.php"); ?>
            <form method="post" action="EmConfirmAction.php" name="EmForm" onSubmit="document.getElementById('submitBtn').disabled=true;">
                <br/><br/>
                <?php include("../include_cart_table.php"); ?>
                <br/><br/>

                <h2>【お支払い情報】</h2><br/>
                <table class="settlement">
                    <tr>
                        <th class="type">
                            項目
                        </th>
                        <th class="pal">
                            内容
                        </th>
                    </tr>
                    <tr>
                        <td>
                            決済方法
                        </td>
                        <td>
                            電子マネー決済
                        </td>
                    </tr>
                    <tr>
                        <td>決済方法サブタイプ</td>
                        <td>
                            <select name="settlementSubType" size="1">
                                <option value="" selected="selected">後で指定</option>
                                <option value="321">Suicaインターネットサービス</option>
                                <option value="322">モバイルSuica</option>
                                <option value="311">サイバーEdy</option>
                                <option value="312">モバイルEdy</option>
                                <option value="331">WAON（Pasori）</option>
                                <option value="332">モバイルWaon</option>
                            </select>
                        </td>
                    </tr>
                </table>
                <br/><br/>

                <?php include("../include_input_hidden.php"); ?>
                <br/>
                <input type="submit" id="submitBtn" value="  購入  "/>
            </form>
        </div>
    </body>
</html>