<?php
// 共通インクルードファイル
require_once('common.php');

$log = new Logger(__FILE__);

// セッションを開始
session_start();

// セッション変数を全て解除する
$_SESSION = array();

// セッションに購入商品情報を登録する
$_SESSION['commodityId1'] = "001";
$_SESSION['commodityId2'] = "002";
$_SESSION['commodityId3'] = "003";
$_SESSION['commodityJanCode1'] = "J01";
$_SESSION['commodityJanCode2'] = "J02";
$_SESSION['commodityJanCode3'] = "J03";
$_SESSION['commodityName1'] = "天然水";
$_SESSION['commodityName2'] = "イオン水";
$_SESSION['commodityName3'] = "電解水";
$_SESSION['commodityNum1'] = "1";
$_SESSION['commodityNum2'] = "2";
$_SESSION['commodityNum3'] = "3";
$_SESSION['commodityUnit1'] = "100";
$_SESSION['commodityUnit2'] = "200";
$_SESSION['commodityUnit3'] = "300";
$_SESSION['shippingAmount'] = "500";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <meta http-equiv="content-type" content="text/html; charset=<?= VTW_HTML_ENCODE ?>">
        <meta name="format-detection" content="telephone=no" />
        <meta name="viewport" content="width=device-width" />
        <link rel="stylesheet" href="./style_m.css" type="text/css" media="only screen and (max-width:480px)"/>
        <link rel="stylesheet" href="./style.css" type="text/css" media="only screen and (min-width:481px)"/>
        <!--[if IE]>
        <link rel="stylesheet" href="./style.css" type="text/css" media="all"/>
        <![endif]-->
        <title>購入画面</title>
    </head>
    <body>
    <br/>
    <table class="cart">
        <tr>
            <th class="name">商品名</td>
            <th class="unitp">単価</td>
            <th class="num">個数</td>
            <th class="sum">小計</td>
        </tr>
        <tr>
            <td class="name">天然水</td>
            <td class="unitp">100 円</td>
            <td class="num">1 個</td>
            <td class="sum">100 円</td>
        </tr>
        <tr>
            <td class="name">イオン水</td>
            <td class="unitp">200 円</td>
            <td class="num">2 個</td>
            <td class="sum">400 円</td>
        </tr>
        <tr>
            <td class="name">電解水</td>
            <td class="unitp">300 円</td>
            <td class="num">3 個</td>
            <td class="sum">900 円</td>
        </tr>
        <tr>
            <td colspan="4" class="sum">送料合計：500 円</td>
        </tr>
        <tr>
            <td colspan="4" class="sum">合計：1,900 円</td>
        </tr>
    </table>
    <br/>
    <table class="noline">
        <tr>
            <td><a href="./default/entry.php">後で指定</a>&nbsp;</td>
            <td><a href="./card/entry_card.php">カード</a>&nbsp;</td>
            <td><a href="./cvs/entry_cvs.php">コンビニ</a>&nbsp;</td>
            <td><a href="./em/entry_em.php">電子マネー</a>&nbsp;</td>
            <td><a href="./bank/entry_bank.php">銀行(ペイジー 他)</a>&nbsp;</td>
            <td><a href="./oricosc/entry_oricosc.php">ショッピングクレジット(オリコ)</a>&nbsp;</td>
            <td><a href="./vacc/entry_vacc.php">銀行振込(りそな)</a>&nbsp;</td>
        </tr>
    </table>
</body>
</html>