<?php include("../include_session_check.php"); ?>
<?php
// ConfirmActionからの遷移＝$formがセットされている
if (!isset($form)) {
    // BankFormを生成
    $form = new BankForm();

    // セッションにパラメータが登録されている
    if (isset($_SESSION['BankForm'])) {
        $log_entry->debug("他画面からの遷移：Formをセッションから取得");
        $form->setRequestArray($_SESSION['BankForm']);
    } else {
        $log_entry->debug("新規遷移");
    }
}
?>
<?php include("../include_retrieve_info.php"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <link rel="stylesheet" href="../iframe.css" type="text/css" />
        <title>Entry</title>
        <?php include("../include_head.php"); ?>
    </head>
    <body>
        <div class="header"></div>
            <div class="contents">
                <h1>【ECサイト  入力画面】</h1>
                <?php include("../include_error_desc.php"); ?>
                <form method="post" action="BankConfirmAction.php" name="BankForm" onSubmit="document.getElementById('submitBtn').disabled=true;">
                    <input type="hidden" name="DisplayType" value="iframe">
                    <br/><br/>
                    <?php include("../include_cart_table.php"); ?>
                    <br/><br/>

                    <h2>【お支払い情報】</h2><br/>
                    <table class="settlement">
                        <tr>
                            <th class="type">
                                項目
                            </th>
                            <th class="pal">
                                内容
                            </th>
                        </tr>
                        <tr>
                            <td>
                                決済方法
                            </td>
                            <td>
                                銀行決済
                            </td>
                        </tr>
                        <tr>
                            <td>決済方法サブタイプ</td>
                            <td>
                                <select name="settlementSubType" size="1">
                                    <option value="" selected="selected">後で指定</option>
                                    <option value="411">ATM決済</option>
                                    <option value="420">ネットバンク決済</option>
                            </td>
                        </tr>
                    </table>
                    <br/><br/>

                    <?php include("../include_input_hidden.php"); ?>
                    <br/>
                    <input type="submit" id="submitBtn" value="  購入  "/>
                </form>
            </div>
        <div class="footer"></div>
    </body>
</html>