<?php
$resultForm = $DataValidate->getResultForm();
$dataBoxHelper = new PostDataBoxHelper();
$dataBox = $dataBoxHelper->getDataBox($resultForm->getOrderId());
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <title>決済完了</title>
        <meta http-equiv="content-type" content="text/html; charset=<?= VTW_HTML_ENCODE ?>">
        <link rel="stylesheet" href="./finish_return_style.css" type="text/css" media="all"/>
    </head>
    <body>
    <div class="infoBox">
        <?php if ($result == true) {
                  echo "決済処理成功";
              } else {
        ?><span style="color:#FF0000;"><?php
                  echo "決済処理エラー";
        ?></span><?php
              }
        ?>
    </div>

    <div class="inputTableTitle">
        【結果パラメータ検証】
    </div>
        <table class="inputTable" style="width:880px;">
            <tr>
                <th>
                項目
                </th>
                <th>
                VT Web → ECサイト
                </th>
                <th>
                購入者様 → ECサイト
                </th>
                <th>
                検証
                </th>
            </tr>
            <tr>
                <td>
                取引ID
                </td>
                <td>
                    <?php echo $dataBox->getOrderId() ?>
                </td>
                <td>
                    <?php echo $resultForm->getOrderId() ?>
                </td>
                <td>
                    <?php if ($DataValidate->isMatch($dataBox->getOrderId(), $resultForm->getOrderId()) == 1) {
                              echo "一致";
                          } else {
                    ?><span style="color:#FF0000;"><?php
                              echo "不一致";
                    ?></span><?php
                          }
                    ?>
                </td>
            </tr>
            <tr>
                <td>
                ステータス
                </td>
                <td>
                    <?php echo $dataBox->getMStatus() ?>
                </td>
                <td>
                    <?php echo $resultForm->getMStatus() ?>
                </td>
                <td>
                    <?php if ($DataValidate->isMatch($dataBox->getMStatus(), $resultForm->getMStatus()) == 1) {
                              echo "一致";
                          } else {
                    ?><span style="color:#FF0000;"><?php
                              echo "不一致";
                    ?></span><?php
                          }
                    ?>
                </td>
            </tr>
            <tr>
                <td>
                結果コード
                </td>
                <td>
                    <?php echo $dataBox->getvResultCode() ?>
                </td>
                <td>
                    <?php echo $resultForm->getvResultCode() ?>
                </td>
                <td>
                    <?php if ($DataValidate->isMatch($dataBox->getvResultCode(), $resultForm->getvResultCode()) == 1) {
                              echo "一致";
                          } else {
                    ?><span style="color:#FF0000;"><?php
                              echo "不一致";
                    ?></span><?php
                          }
                    ?>
                </td>
            </tr>
        </table>

        <br>
        <a href="../index.html">トップへ戻る</a>
    </body>
</html>