<?php include("../include_session_check.php"); ?>
<?php
// ConfirmActionからの遷移＝$formがセットされている
if (!isset($form)) {
    // EmFormを生成
    $form = new OricoscForm();

    // セッションにパラメータが登録されている
    if (isset($_SESSION['OricoscForm'])) {
        $log_entry->debug("他画面からの遷移：Formをセッションから取得");
        $form->setRequestArray($_SESSION['OricoscForm']);
    } else {
        $log_entry->debug("新規遷移");
    }
}
?>
<?php include("../include_retrieve_info.php"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <title>Entry</title>
        <?php include("../include_head.php"); ?>
    </head>
    <body>
        <div class="contents">
            <h1>【ECサイト  入力画面】</h1>
            <?php include("../include_error_desc.php"); ?>
            <form method="post" action="OricoscConfirmAction.php" name="OricoscForm" onSubmit="document.getElementById('submitBtn').disabled=true;">
                <br/><br/>
                <?php include("../include_cart_table.php"); ?>
                <br/><br/>

                <h2>【お支払い情報】</h2><br/>
                <table class="settlement">
                    <tr>
                        <th class="type">
                            項目
                        </th>
                        <th class="pal">
                            内容
                        </th>
                    </tr>
                    <tr>
                        <td>
                            決済方法
                        </td>
                        <td>
                            ショッピングクレジット決済
                        </td>
                    </tr>
                    <tr>
                        <td class="name">配送先郵便番号</td>
                        <td class="value">
                            <input type="text" size="3" name="shippingZipCode1" maxlength="3" value="<?= $form->getFormValue('shippingZipCode1') ?>"/>-
                            <input type="text" size="4" name="shippingZipCode2" maxlength="4" value="<?= $form->getFormValue('shippingZipCode2') ?>"/>
                        </td>
                    </tr>
                </table>
                <br/><br/>

                <?php include("../include_input_hidden.php"); ?>
                <br/>
                <input type="submit" id="submitBtn" value="  購入  "/>
            </form>
        </div>
    </body>
</html>