<?php include("../include_session_check.php"); ?>
<?php
// ConfirmActionからの遷移＝$formがセットされている
if (!isset($form)) {
    // EmFormを生成
    $form = new VaccForm();

    // セッションにパラメータが登録されている
    if (isset($_SESSION['VaccForm'])) {
        $log_entry->debug("他画面からの遷移：Formをセッションから取得");
        $form->setRequestArray($_SESSION['VaccForm']);
    } else {
        $log_entry->debug("新規遷移");
    }
}
?>
<?php include("../include_retrieve_info.php"); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
    <head>
        <title>Entry</title>
        <?php include("../include_head.php"); ?>
    </head>
    <body>
        <div class="contents">
            <h1>【ECサイト  入力画面】</h1>
            <?php include("../include_error_desc.php"); ?>
            <form method="post" action="VaccConfirmAction.php" name="VaccForm" onSubmit="document.getElementById('submitBtn').disabled=true;">
                <br/><br/>
                <?php include("../include_cart_table.php"); ?>
                <br/><br/>
                <?php include("../include_paynowid.php"); ?>
                <br/><br/>

                <h2>【お支払い情報】</h2><br/>
                <table class="settlement">
                    <tr>
                        <th class="type">
                            項目
                        </th>
                        <th class="pal">
                            内容
                        </th>
                    </tr>
                    <tr>
                        <td class="type">
                            決済方法
                        </td>
                        <td class="pal">
                            銀行振込決済
                        </td>
                    </tr>
                    <tr>
                        <td class="type">登録時振込番号</td>
                        <td class="pal">
                        <input type="text" name="entryTransferNumber" size="5" maxlength="5" value="<?= $form->getFormValue('entryTransferNumber') ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="type">振込期限</td>
                        <td class="pal">
                        <input type="text" name="transferExpiredDate" size="8" maxlength="8" value="<?= $form->getFormValue('transferExpiredDate') ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="type">口座管理方式</td>
                        <td class="pal">
                            <input type="radio" name="accountManageType" value="0" checked />実口座
                            <input type="radio" name="accountManageType" value="1"/>バーチャル口座</br>
                        </td>
                    </tr>
                    <tr>
                        <td class="type">支店コード</td>
                        <td class="pal">
                        <input type="text" name="branchCode" size="3" maxlength="3" value="<?= $form->getFormValue('branchCode') ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="type">口座番号</td>
                        <td class="pal">
                        <input type="text" name="accountNumber" size="7" maxlength="7" value="<?= $form->getFormValue('accountNumber') ?>"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="type">銀行口座関連付け拒否フラグ</td>
                        <td class="pal">
                            <input type="hidden" name="rejectBankAccount" value="0" id="for_rejectBankAccount" />
                            <input type="checkbox" value="1" name="rejectBankAccount" id="for_rejectBankAccount" title="rejectBankAccount"><label for="for_rejectBankAccount">関連付けしない</label>
                        </td>
                    </tr>
                </table>
                <br/><br/>

                <?php include("../include_input_hidden.php"); ?>
                <br/>
                <input type="submit" id="submitBtn" value="  購入  "/>
            </form>
        </div>
    </body>
</html>
